# eric5.Helpviewer.WebPlugins.WebPluginFactory

Module implementing the web plug-in factory.

### Global Attributes

None

### Classes

WebPluginFactory | Class implementing the web plug-in factory.

### Functions

None

## WebPluginFactory

Class implementing the web plug-in factory.

### Derived from

QWebPluginFactory

### Class Attributes

None

### Class Methods

None

### Methods

WebPluginFactory | Constructor
__initialize | Private method to initialize the factory.
create | Public method to create a plug-in instance for the given MIME type with the given data.
plugin | Public method to get a reference to the named plug-in.
plugins | Public method to get a list of plug-ins.
refreshPlugins | Public method to refresh the list of supported plug-ins.

### Static Methods

None

#### WebPluginFactory (Constructor)

WebPluginFactory(parent=None)

Constructor

parent
  reference to the parent object (QObject)

#### WebPluginFactory.__initialize

__initialize()

Private method to initialize the factory.

#### WebPluginFactory.create

create(mimeType, url, argumentNames, argumentValues)

Public method to create a plug-in instance for the given MIME type with the given data.

mimeType
  MIME type for the plug-in (string)
url
  URL for the plug-in (QUrl)
argumentNames
  list of argument names (list of strings)
argumentValues
  list of argument values (list of strings)

Returns:
  reference to the created object (QObject)

#### WebPluginFactory.plugin

plugin(name)

Public method to get a reference to the named plug-in.

name
  name of the plug-in (string)

#### WebPluginFactory.plugins

plugins()

Public method to get a list of plug-ins.

Returns:
  list of plug-ins (list of QWebPluginFactory.Plugin)

#### WebPluginFactory.refreshPlugins

refreshPlugins()

Public method to refresh the list of supported plug-ins.

Up